@use "colors";

@use "sass:math";

.timeline {
    width: 95%;

    .timeline-load-more {
        display: flex;
        justify-content: space-around;
        padding: 3rem;
    }

    .timeline-today {
        .timeline-circle-container.today {
            max-height: 4rem;
            overflow: hidden;

            .today-circle {
                fill: colors.$content-white;
                stroke: colors.$content-black;
                stroke-width: 2px;
            }

            .today-line {
                stroke: colors.$content-black;
                stroke-width: 2px;
            }
        }

        .timeline-content {
            .p {
                margin: initial;
            }
        }
    }

    .timeline-event {

        .timeline-day {
            text-align: center;
        }

        .timeline-content-container {
            margin-top: -8px;
            margin-bottom: 40px;

            .timeline-content {

                cursor: pointer;

                .header {
                    display: flex;
                    align-items: baseline;
                    justify-content: space-between;

                    .icon-button {
                        color: colors.$content-black;
                    }
                }

            }

            .event-detail {
                .chip-selector {
                    padding-bottom: 1rem;
                }
            }
        }

        .timeline-circle-container {

            // check https://stackoverflow.com/questions/34888571/drawing-dotted-lines-and-straight-lines-as-background-of-div
            // here https://stackoverflow.com/questions/2771171/control-the-dashed-border-stroke-length-and-distance-between-strokes/31315911#31315911
            // or here https://stackoverflow.com/questions/32500570/gradient-line-with-dashed-pattern
            $circle-size: 2rem;
            $image-size: math.div($circle-size*2, 3);
            $half-circle-size: math.div($circle-size, 2);
            background-position-x: $half-circle-size;

            &.before-now {
                background-image: linear-gradient(to bottom, colors.$content-black 1px, transparent 50%);
                background-size: 2px 8px;
                background-repeat: repeat-y;
            }

            &.after-now,
            &.today {
                background-image: linear-gradient(to bottom, colors.$content-black 1px, transparent 50%);
                background-size: 2px 1px;
                background-repeat: repeat-y;
            }

            &.activity {
                .timeline-circle {
                    border-color: colors.$yellow;
                }
            }

            &.strike {
                .timeline-circle {
                    border-color: colors.$orange;
                }
            }

            &.meetup {
                .timeline-circle {
                    border-color: colors.$turquoise;
                }
            }

            &.digital {
                color: colors.$blue;

                .timeline-circle {
                    border-color: colors.$blue;
                }
            }

            .timeline-circle {
                border: 2px solid;
                border-radius: 50%;
                background-color: colors.$content-white;

                display: flex;
                justify-content: space-around;
                align-items: center;

                min-height: $circle-size;
                max-height: $circle-size;
                min-width: $circle-size;
                max-width: $circle-size;


                img,
                svg {
                    max-height: $image-size;
                    max-width: $image-size;
                }
            }
        }

        .button {
            cursor: pointer;
        }
    }
}